// creator  : weidu.exe (version 23100)
// argument : _LASKAL.DLG
// game		 : .
// source	 : ./override/_LASKAL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_LASKAL~

IF ~InParty("faldorn")
~ THEN BEGIN 0 // from:
  SAY #86278 /* ~Greetings Faldorn.  I see that you have made some new friends.  Well I hope your crusade against the Iron Throne goes well.  Well I shouldn't bother you for too long.  On your way now Faldorn, and know that Laskal watches over you.  Before you go, a word of advice.  Watch for the druid known as Seniyad, he could give you trouble.  You know how the other orders view our methods.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#FALDORNLASKAL1","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FALDORNLASKAL1","GLOBAL",1)~ EXTERN ~_FALDOJ~ 95
END

IF ~True()
~ THEN BEGIN 1 // from:
  SAY #86279 /* ~You there!  I command you to stop, so that I might parley with you a moment.~ */
  IF ~~ THEN REPLY #86280 /* ~We don't have time for you, old-timer.~ */ GOTO 2
  IF ~~ THEN REPLY #86281 /* ~Who are you?  What is it that you want with us?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #86282 /* ~You might not have the time for me, but I certainly have the time for you.  I must assume that you are part of the organization that pollutes the Cloakwood.  For that, you must die.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #86283 /* ~My name is Laskal, and I am the protector of the Cloakwood.  I would ask you a question before I take my leave of you.  I have a message for those that serve the Iron Throne.  Would you be a representative of that organization?~ */
  IF ~~ THEN REPLY #86284 /* ~Why, yes we are.  Hand over the message.~ */ GOTO 4
  IF ~~ THEN REPLY #86285 /* ~We have no connection to that evil group.  We are sworn enemies of the Iron Throne.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #86286 /* ~You are mistaken, I did not mean to give you a written message, but rather a verbal one.  Know that the Iron Throne's time within this wood is ending.  The Shadow Druids will no longer sit about and let them pollute this forest.  You will be our first example of what happens to those who defile nature!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#AjantisLaskal1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisLaskal1","GLOBAL",1)~ EXTERN ~_AJANTJ~ 63
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #86287 /* ~Mmmmm.  An enemy of an enemy is a friend.  My earlier question was just a test.  I am glad to know that you also oppose this organization.  They have been a blight on these woods ever since they re-opened the ancient dwarven iron mine.  Well, I am glad to know you.  Take this, hopefully it will aid you against the Iron Throne.  The Iron Throne's fort is located to the east.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
  IF ~Global("X#LASKAL5","GLOBAL",0)~ THEN DO ~SetGlobal("X#LASKAL5","GLOBAL",1)~ GOTO 8
  IF ~Global("X#LASKAL5","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LASKAL5","GLOBAL",1)~ GOTO 9
  IF ~Global("X#LASKAL5","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LASKAL5","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 300
  IF ~Global("X#LASKAL5","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LASKAL5","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 152
  IF ~Global("X#LASKAL5","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LASKAL5","GLOBAL",1)~ EXTERN ~_AJANTJ~ 232
END

IF ~~ THEN BEGIN 6 // from:
  SAY #98785 /* ~You will be rewarded for your sacrifice. Farewell.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #99451 /* ~You can't lie to Nature!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.1
  SAY #88505 /* ~Farewell.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 5.2
  SAY #103060 /* ~Your companion professed <PRO_HISHER> friendship. Do not test my tolerance.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #88505 /* ~Farewell.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: _JAHEIJ:300.1
  SAY #103060 /* ~Your companion professed <PRO_HISHER> friendship. Do not test my tolerance.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0 _JAHEIJ:300.0
  SAY #88505 /* ~Farewell.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: _JAHEIJ:301.1
  SAY #103060 /* ~Your companion professed <PRO_HISHER> friendship. Do not test my tolerance.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0 _JAHEIJ:301.0
  SAY #88505 /* ~Farewell.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 15 // from: _JAHEIJ:302.1
  SAY #103060 /* ~Your companion professed <PRO_HISHER> friendship. Do not test my tolerance.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0 _JAHEIJ:302.0
  SAY #88505 /* ~Farewell.~ */
  IF ~~ THEN DO ~GiveItem("_POTN11",LastTalkedToBy)
EscapeArea()
~ EXIT
END
